Skip to main content
GET
/
organizations
/
{org_id}
/
metrics
/
advises
Get organization metrics advises
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/metrics/advises \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metric_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metric_type": "free_cashflow_margin",
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Query Parameters

period_type
enum<string> | null

Optional filter by reporting period type

Available options:
monthly,
quarterly,
yearly
metric_type
enum<string> | null

Optional filter by metric type

Available options:
free_cashflow_margin,
current_ratio,
quick_ratio,
debt_ratio,
debt_to_equity_ratio,
gross_margin,
return_on_assets,
return_on_equity,
asset_turnover,
inventory_turnover,
operating_cashflow_ratio,
dscr,
interest_coverage,
cash_conversion_cycle
metric_id
string<uuid> | null

Optional filter by specific metric ID

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Response

Successful Response

items
OrganizationAdvise · object[]
required

List of advises returned by the query

total_items
integer
required

Total number of advises matching the query, ignoring pagination

Required range: x >= 0
Examples:

1

25

100